Subject: Re: New sparse warning in net/mac80211/debugfs_sta.c

From: Joe Perches <[email-masked]>
Date: Tue, 08 Apr 2008 15:09:33 -0700

On Tue, 2008-04-08 at 23:19 +0200, Patrick McHardy wrote:
> This might work (codiff should be able to tell). But I
> just see that Dave also favours to use MAC_FMT directly,
> so please just do this.

Precisely what are you objecting to Patrick?

Are you objecting to the existence of an additional
function call in a printk or the unnecessary call to
print_mac in functions like pr_debug that the compiler
can not optimize away?

Your long list seems to be mostly a list of functions
that are converted from direct use of MAC_FMT with
6 arguments on stack to a call to print_mac.

I think the only things that should be changed are those
functions that add a useless call to print_mac because 
pr_debug is optimized away.

I do _not_ think that merely because print_mac is used
as a printk argument it should be reverted.

cheers, Joe